Indexes   

HybridShapePointBetween (Object)

Represents the hybrid shape PointBetween feature object.
Role: To access the data of the hybrid shape PointBetween feature object.
This data includes:
See also:
HybridShapeFactory

Property Index

FirstPoint
Returns or sets the first reference point.
Orientation
Returns or sets the orientation.
Ratio
Get the ratio.
SecondPoint
Returns or sets the second reference point.
Support
Returns or Sets the support.

Properties


o Property FirstPoint() As
Returns or sets the first reference point.
Sub-element(s) supported (see
Boundary object): Vertex.
Example:
This example retrieves in RefPoint1 the first reference point for the PointBetween hybrid shape feature.
 Dim RefPoint1 As Reference
 Set RefPoint1 = PointBetween.FirstPoint
o Property Orientation() As
Returns or sets the orientation. Role:
Orientation = 1 means that distance is measured from the second point
Example:
This example retrieves in Orient the orientation for the PointBetween hybrid shape feature.
 Dim Orient As long
 Set Orient = PointBetween.Orientation
 
o Property Ratio() As (Read Only)
Get the ratio. Role:
if d1 is the distance between the first point and the created point, and d2 is the distance between the first point and the second point, then ratio = d1/d2.
Example:
This example retrieves in ratio the orientation for the PointBetween hybrid shape feature.
 Dim ratio  As CATIARealParam
 Get ratio = PointBetween.Ratio
 
o Property SecondPoint() As
Returns or sets the second reference point.
Sub-element(s) supported (see
Boundary object): Vertex.
Example:
This example retrieves in RefPoint2 the second reference point for the PointBetween hybrid shape feature.
 Dim RefPoint2 As Reference
 Set RefPoint2 = PointBetween.SecondPoint
o Property Support() As
Returns or Sets the support.
Note: the support can be surface or curve. It is not mandatory.

Sub-element(s) supported (see
Boundary object): Face and TriDimFeatEdge and BiDimFeatEdge.
Example:
This example retrieves in oSupport the support(if it exist) for the PointBetween hybrid shape feature.
 Dim oSupport As Reference 
 Set oSupport = PointBetween.Support
 

Copyright © 2006, Dassault Systèmes. All rights reserved.